> ## Documentation Index
> Fetch the complete documentation index at: https://docs.maesn.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get units

## Field support per integration

<AccordionGroup>
  <Accordion title="Exact Online" icon="https://mintcdn.com/maesn/gCd41Ws3USFubam4/logo/exact.svg?fit=max&auto=format&n=gCd41Ws3USFubam4&q=85&s=afa1af7a261b22f843ac73ee60896ede" width="24" height="24" data-path="logo/exact.svg">
    <Note>
      If you're not using the [Interactive Authentication Flow](/authentication#interactive-authentication-flow), make sure the query parameter `companyId` is correctly populated.
      You can obtain this value by using the `GET Companies` endpoint available under the Authentication section.
    </Note>

    Support pagination: `true`

    Support rawData: `true`

    <br />

    Supported Response Fields:

    <ResponseField name="id" type="string" />

    <ResponseField name="code" type="string" />

    <ResponseField name="description" type="string" />

    <ResponseField name="type" type="string" />
  </Accordion>
</AccordionGroup>


## OpenAPI

````yaml get /accounting/units
openapi: 3.0.0
info:
  title: Maesn unified API
  description: The Maesn unified API description
  version: '1.0'
  contact: {}
servers:
  - url: https://api.maesn.dev
security: []
tags:
  - name: maesn
    description: ''
paths:
  /accounting/units:
    get:
      tags:
        - accounting
      operationId: getUnits
      parameters:
        - name: page
          required: false
          in: query
          schema:
            type: number
        - name: limit
          required: false
          in: query
          schema:
            enum:
              - 5
              - 10
              - 20
              - 50
              - 100
            type: number
        - name: environmentName
          in: query
          schema:
            type: string
          required: false
        - name: companyId
          required: false
          in: query
          schema:
            type: string
        - name: rawData
          required: false
          in: query
          schema:
            type: boolean
        - name: X-API-KEY
          description: API key
          in: header
          schema:
            type: string
        - name: X-ACCOUNT-KEY
          description: Account key
          in: header
          schema:
            type: string
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                allOf:
                  - $ref: '#/components/schemas/BaseResponseDto'
                  - properties:
                      data:
                        type: array
                        items:
                          $ref: '#/components/schemas/UnitResponseDto'
components:
  schemas:
    BaseResponseDto:
      type: object
      properties:
        meta:
          $ref: '#/components/schemas/MetaResponse'
        data:
          oneOf:
            - type: object
            - type: array
    UnitResponseDto:
      type: object
      properties:
        id:
          type: string
          example: 4f3a2hf4-5b8e-4d1b-8a0c-9f6e7d2f3e4b
        code:
          type: string
          example: PIECE
        description:
          type: string
          example: Piece
        type:
          type: string
          example: W
    MetaResponse:
      type: object
      properties:
        warnings:
          type: array
          items:
            type: string
            example: Field not used by target system
        pagination:
          $ref: '#/components/schemas/PaginationResponse'
    PaginationResponse:
      type: object
      properties:
        total:
          type: number
          example: 125
        perPage:
          type: number
          example: 50
        currentPage:
          type: number
          example: 1
        totalPages:
          type: number
          example: 3

````